#ifndef TEMPODOUBLE_h
#define TEMPODOUBLE_h

#include <avr/io.h>
#include <avr/interrupt.h>

class Tempodouble
{
  public:
  
    // properties
    uint8_t clockSelectBits;
	uint8_t oldSREG; // To hold Status Register while ints disabled

    // methods
    void initialize();
	void attachInterrupt(void (*isr)(), uint8_t num_int);
    void start(); // starts the timer
	void stop(); // stops the timer
	void reset(); // resets the timer
	uint16_t read(); // returns the time of the counter
    void settimer(uint16_t timer_value, uint8_t num_int); // sets the time "num_int" to "timer_value"
	
	void (*isrCallbackA)();
	void (*isrCallbackB)();
};

extern Tempodouble Timer1;

#endif